Subject: bug#49963: 28.0.50; isearch failing in Dired after rectangle-mark-mode and query-replace

From: Juri Linkov <[email-masked]>
Date: Wed, 11 Aug 2021 10:04:28 +0300

> However, that rule seems to have been deleted from all the
> places it ought to be.  I can't find it in advice.el (though I may
> have missed it; the file starts with 1500 lines of documentation).
> And I can't find it in functions.texi either.
>
> We need to document this rule again.  Can someone find it
> in an old version of the Emacs Lisp Reference Manual?

The manual still contains this rule in the node Coding Standards:

  Avoid using ‘defadvice’ or ‘with-eval-after-load’ for Lisp code to
  be included in Emacs.

I'm sorry that I made a mistake when used the wrong word "advice"
while describing the problem that is not about the use of an advice.